summaryrefslogtreecommitdiff
path: root/openembedded
diff options
context:
space:
mode:
authorBotao Sun <botao.sun@linaro.org>2014-10-21 22:26:42 +1100
committerMilosz Wasilewski <milosz.wasilewski@linaro.org>2015-04-23 10:08:22 +0000
commit16d6ad884e216726a6f72b1fa5760d0c805c2a56 (patch)
tree17b5e4e83b44af9d35bc93010ec6cab558c855be /openembedded
parent3eba837417f5a40d4dc4258cd192ce70c5636c65 (diff)
downloadtest-definitions-pipe-16d6ad884e216726a6f72b1fa5760d0c805c2a56.tar.gz
jtreg-test: Remove jtreg test suite from repository
This test is now removed from the repository. LEG has its own repository and environment for such test. Signed-off by: Botao Sun <botao.sun@linaro.org> Change-Id: Iffd3ecc1ba81949594e0122ba822f6feb12ccae3
Diffstat (limited to 'openembedded')
-rw-r--r--openembedded/jtreg-any-test.yaml44
-rw-r--r--openembedded/jtreg-hotspot-compiler.yaml42
-rw-r--r--openembedded/jtreg-hotspot-gc.yaml42
-rw-r--r--openembedded/jtreg-hotspot-runtime.yaml42
-rw-r--r--openembedded/jtreg-hotspot-sanity.yaml42
-rw-r--r--openembedded/jtreg-hotspot-serviceability.yaml42
-rw-r--r--openembedded/jtreg-hotspot-testlibrary.yaml42
-rw-r--r--openembedded/jtreg-jdk_beans.yaml42
-rw-r--r--openembedded/jtreg-jdk_io.yaml42
-rw-r--r--openembedded/jtreg-jdk_lang.yaml42
-rw-r--r--openembedded/jtreg-jdk_math.yaml42
-rw-r--r--openembedded/jtreg-jdk_net.yaml42
-rw-r--r--openembedded/jtreg-jdk_other.yaml42
-rw-r--r--openembedded/jtreg-jdk_security1.yaml42
-rw-r--r--openembedded/jtreg-jdk_text.yaml42
-rw-r--r--openembedded/jtreg-jdk_time.yaml42
-rw-r--r--openembedded/jtreg-jdk_util.yaml42
-rw-r--r--openembedded/jtreg/exclude.txt83
-rwxr-xr-xopenembedded/scripts/jtreg-test127
19 files changed, 0 insertions, 926 deletions
diff --git a/openembedded/jtreg-any-test.yaml b/openembedded/jtreg-any-test.yaml
deleted file mode 100644
index fd30fa6..0000000
--- a/openembedded/jtreg-any-test.yaml
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright (C) 2013, Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: hotspot-compiler
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
- - git://git.linaro.org/qa/test-definitions.git
-params:
- - 'JAVA_VM=-client'
- - 'JTREG_VERBOSE=-v1'
- - 'JTREG_CONC=-conc:1'
- - 'JTREG_TIMEOUT=-timeout:3'
- - 'JTREG_EXCLUDE_FILE=../jtreg/exclude.txt'
- - 'TEST_CASE=/usr/lib/jvm/java-8-openjdk/jtreg/hotspot/test/sanity/WhiteBox.java'
-run:
- steps:
- - 'source $HOME/jtreg-setup.env'
- - 'cd $JTREG_TESTRUN_ID/test-definitions/openembedded/scripts'
- - 'tc=$(basename $TEST_CASE)'
- - './jtreg-test -t $tc -j $JAVA_VM -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $TEST_CASE'
diff --git a/openembedded/jtreg-hotspot-compiler.yaml b/openembedded/jtreg-hotspot-compiler.yaml
deleted file mode 100644
index 4c8d8ce..0000000
--- a/openembedded/jtreg-hotspot-compiler.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: hotspot-compiler
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t hotspot-compiler -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/hotspot/test/compiler || true'
diff --git a/openembedded/jtreg-hotspot-gc.yaml b/openembedded/jtreg-hotspot-gc.yaml
deleted file mode 100644
index fec28aa..0000000
--- a/openembedded/jtreg-hotspot-gc.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: hotspot-gc
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t hotspot-gc -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/hotspot/test/gc || true'
diff --git a/openembedded/jtreg-hotspot-runtime.yaml b/openembedded/jtreg-hotspot-runtime.yaml
deleted file mode 100644
index b0a1327..0000000
--- a/openembedded/jtreg-hotspot-runtime.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: hotspot-runtime
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t hotspot-runtime -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/hotspot/test/runtime || true'
diff --git a/openembedded/jtreg-hotspot-sanity.yaml b/openembedded/jtreg-hotspot-sanity.yaml
deleted file mode 100644
index 5934b85..0000000
--- a/openembedded/jtreg-hotspot-sanity.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: hotspot-sanity
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t hotspot-sanity -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/hotspot/test/sanity || true'
diff --git a/openembedded/jtreg-hotspot-serviceability.yaml b/openembedded/jtreg-hotspot-serviceability.yaml
deleted file mode 100644
index bf1d8ca..0000000
--- a/openembedded/jtreg-hotspot-serviceability.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: hotspot-serviceability
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t hotspot-serviceability -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/hotspot/test/serviceability || true'
diff --git a/openembedded/jtreg-hotspot-testlibrary.yaml b/openembedded/jtreg-hotspot-testlibrary.yaml
deleted file mode 100644
index 2d03e9c..0000000
--- a/openembedded/jtreg-hotspot-testlibrary.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: hotspot-testlibrary
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t hotspot-testlibrary -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/hotspot/test/testlibrary || true'
diff --git a/openembedded/jtreg-jdk_beans.yaml b/openembedded/jtreg-jdk_beans.yaml
deleted file mode 100644
index 992dc36..0000000
--- a/openembedded/jtreg-jdk_beans.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_beans
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_beans -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/beans || true'
diff --git a/openembedded/jtreg-jdk_io.yaml b/openembedded/jtreg-jdk_io.yaml
deleted file mode 100644
index 2310dd5..0000000
--- a/openembedded/jtreg-jdk_io.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_io
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_io -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/io || true'
diff --git a/openembedded/jtreg-jdk_lang.yaml b/openembedded/jtreg-jdk_lang.yaml
deleted file mode 100644
index 1542a48..0000000
--- a/openembedded/jtreg-jdk_lang.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_lang
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_lang -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/lang || true'
diff --git a/openembedded/jtreg-jdk_math.yaml b/openembedded/jtreg-jdk_math.yaml
deleted file mode 100644
index b13c8b0..0000000
--- a/openembedded/jtreg-jdk_math.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_math
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_math -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/math || true'
diff --git a/openembedded/jtreg-jdk_net.yaml b/openembedded/jtreg-jdk_net.yaml
deleted file mode 100644
index 98142ee..0000000
--- a/openembedded/jtreg-jdk_net.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_net
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_net -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/net || true'
diff --git a/openembedded/jtreg-jdk_other.yaml b/openembedded/jtreg-jdk_other.yaml
deleted file mode 100644
index 6ef322e..0000000
--- a/openembedded/jtreg-jdk_other.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_other
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_other -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/other || true'
diff --git a/openembedded/jtreg-jdk_security1.yaml b/openembedded/jtreg-jdk_security1.yaml
deleted file mode 100644
index a5856ab..0000000
--- a/openembedded/jtreg-jdk_security1.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_security1
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_security1 -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/security1 || true'
diff --git a/openembedded/jtreg-jdk_text.yaml b/openembedded/jtreg-jdk_text.yaml
deleted file mode 100644
index 1da4a1d..0000000
--- a/openembedded/jtreg-jdk_text.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_text
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_text -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/text || true'
diff --git a/openembedded/jtreg-jdk_time.yaml b/openembedded/jtreg-jdk_time.yaml
deleted file mode 100644
index e0f2bbb..0000000
--- a/openembedded/jtreg-jdk_time.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_time
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_time -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/time || true'
diff --git a/openembedded/jtreg-jdk_util.yaml b/openembedded/jtreg-jdk_util.yaml
deleted file mode 100644
index 4fe3037..0000000
--- a/openembedded/jtreg-jdk_util.yaml
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright (C) 2013, 2014 Linaro Limited.
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-# This file has been auto-generated from:
-#
-# make-yaml-files.sh
-#
-# which can be found in the following repo:
-#
-# git://git.linaro.org/leg/openjdk/jtreg-lava-scripts
-#
-# PLEASE DO NOT HAND EDIT THIS FILE.
-#
-metadata:
- name: jdk_util
- format: "Lava-Test-Shell Test Definition 1.0"
- description: "Regression tests for the OpenJDK platform"
- version: 1.0
- maintainer:
- - andrew.mcdermott@linaro.org
- os:
- - openembedded
- scope:
- - test
- devices:
- - rtsm_ve-armv8
-params:
- JAVA_VM: -server
- JTREG_VERBOSE: -v1
- JTREG_CONC: -conc:1
- JTREG_TIMEOUT: -timeout:3
- JTREG_EXCLUDE_FILE: ../jtreg/exclude.txt
- PRODUCT_HOME: /usr/lib/jvm/java-8-openjdk
-install:
- git-repos:
- - git://git.linaro.org/leg/openjdk/jtreg-bin.git
-run:
- steps:
- - 'PATH=$PWD/jtreg-bin/jtreg/linux/bin:$PATH'
- - 'cd openembedded/scripts'
- - './jtreg-test -t jdk_util -j $JAVA_VM -p $PRODUCT_HOME -- $JTREG_CONC $JTREG_TEST_MODE $JTREG_TIMEOUT -exclude:$JTREG_EXCLUDE_FILE $JTREG_VERBOSE $PRODUCT_HOME/jtreg/jdk/test/java/util || true'
diff --git a/openembedded/jtreg/exclude.txt b/openembedded/jtreg/exclude.txt
deleted file mode 100644
index 9cc7e44..0000000
--- a/openembedded/jtreg/exclude.txt
+++ /dev/null
@@ -1,83 +0,0 @@
-# Added: Fri Feb 7 2014
-# ----------------------
-gc/g1/TestHumongousCodeCacheRoots generic-all
-
-# Added: Wed Feb 5 2014
-# ----------------------
-compiler/regalloc/C1ObjectSpillInLogicOp.java generic-all
-gc/TestSystemGC.java generic-all
-gc/arguments/TestMaxNewSize.java generic-all
-gc/g1/TestHumongousAllocInitialMark.java generic-all
-runtime/8001071/Test8001071.java generic-all
-java/lang/management/MemoryMXBean/ResetPeakMemoryUsage.java generic-all
-
-# Added: Mon Feb 3 2014
-# ----------------------
-# The following tests fail on both the x86_64 baseline and on aarch64.
-compiler/7141637/SpreadNullArg.java generic-all
-compiler/jsr292/ConcurrentClassLoadingTest.java generic-all
-runtime/7107135/Test7107135.sh generic-all
-runtime/ClassFile/OomWhileParsingRepeatedJsr.java generic-all
-
-# These tests all require the G1 Garbage Collector, which is not
-# implemented in the aarch64-port. They are guaranteed to fail.
-# Unfortunately, some of them run multiple tests with multiple garbage
-# collectors, but as soon as they get to the G1 collector, they abort
-# with an Unimplemented assertion.
-gc/8000311/Test8000311.java generic-all
-gc/arguments/TestAlignmentToUseLargePages.java generic-all
-gc/arguments/TestG1HeapRegionSize.java generic-all
-gc/arguments/TestG1HeapSizeFlags.java generic-all
-gc/arguments/TestMaxHeapSizeTools.java generic-all
-gc/arguments/TestUseCompressedOopsErgo.java generic-all
-gc/g1/TestPrintGCDetails.java generic-all
-gc/g1/TestPrintRegionRememberedSetInfo.java generic-all
-gc/g1/TestRegionAlignment.java generic-all
-gc/g1/TestShrinkToOneRegion.java generic-all
-gc/metaspace/G1AddMetaspaceDependency.java generic-all
-gc/metaspace/TestMetaspacePerfCounters.java generic-all
-gc/startup_warnings/TestG1.java generic-all
-gc/TestG1ZeroPGCTJcmdThreadPrint.java generic-all
-
-# I cranked up the timeout to -timeout:3 (3 times the expected) and
-# still got timeout errors on the foundation model with the following
-# tests:
-compiler/5091921/Test6850611.java generic-all
-compiler/5091921/Test6905845.java generic-all
-compiler/5091921/Test6931567.java generic-all
-compiler/5091921/Test6992759.java generic-all
-compiler/5091921/Test7020614.java generic-all
-compiler/6866651/Test.java generic-all
-compiler/6901572/Test.java generic-all
-compiler/7024475/Test7024475.java generic-all
-compiler/7100757/Test7100757.java generic-all
-compiler/7184394/TestAESMain.java generic-all
-compiler/7196199/Test7196199.java generic-all
-
-# this test also fails on x86-64 reference; I suspect that this is a Java 8 issue
-compiler/whitebox/IsMethodCompilableTest.java generic-all
-
-# ClassSpaceSize (aka PermGen) is not supported by Java 8
-gc/metaspace/CompressedClassSpaceSizeInJmapHeap.java generic-all
-
-# also fails on x86-64 reference; -m64 passed to gcc, which is not accepted by aarch64 gcc compiler
-runtime/6929067/Test6929067.sh generic-all
-
-# also fails on x86-64 reference; -m64 passed to gcc, which is not accepted by aarch64 gcc compiler
-runtime/InitialThreadOverflow/testme.sh generic-all
-
-# also fails on x86-64 reference; suspect this is a Java 8 issue, since bad jar file in classpath is now rejected.
-runtime/LoadClass/LoadClassNegative.java generic-all
-
-# This collector is not implemented for server; for simplicity also ignoring on client tests.
-gc/concurrentMarkSweep/CheckAllocateAndSystemGC.java generic-all
-gc/concurrentMarkSweep/GuardShrinkWarning.java generic-all
-gc/concurrentMarkSweep/SystemGCOnForegroundCollector.java generic-all
-
-# Removed: Mon Feb 3 2014
-# ------------------------
-# compiler/7116216/StackOverflow.java
-# compiler/print/PrintInlining.java
-# gc/g1/TestSummarizeRSetStats.java
-# runtime/CDSCompressedKPtrs/CDSCompressedKPtrs.java
-# runtime/CDSCompressedKPtrs/XShareAuto.java
diff --git a/openembedded/scripts/jtreg-test b/openembedded/scripts/jtreg-test
deleted file mode 100755
index 9503702..0000000
--- a/openembedded/scripts/jtreg-test
+++ /dev/null
@@ -1,127 +0,0 @@
-#!/bin/bash
-
-# LAVA wrapper for invoking jtreg(1) and accumulating the results.
-#
-# Copyright (C) 2013, Linaro Limited.
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License
-# as published by the Free Software Foundation; either version 2
-# of the License, or (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-#
-# Author: Andrew McDermott <andrew.mcdermott@linaro.org>
-#
-
-# All options before the '--' are for this script. The remaining are
-# for jtreg(1).
-
-test_case=unknown
-java_vm=-client
-product_home=/usr/lib/jvm/java-8-openjdk
-
-while getopts ":j:o:p:t:" opt; do
- case $opt in
- j)
- java_vm=$OPTARG
- ;;
- o)
- output_dir=$OPTARG
- ;;
- p)
- product_home=$OPTARG
- ;;
- t)
- test_case=$OPTARG
- ;;
- \?)
- echo "Invalid option: -$OPTARG" >&2
- exit 1
- ;;
- :)
- echo "Option -$OPTARG requires an argument." >&2
- exit 1
- ;;
- esac
-done
-
-shift $((OPTIND-1))
-
-output_dir=/tmp/jtreg/$test_case.$$
-rm -rf $output_dir
-
-jtreg \
- -J${java_vm} \
- -vmoption:${java_vm} \
- -jdk:"${product_home}" \
- -w:$output_dir/JTwork \
- -r:$output_dir/JTreport \
- "$@"
-
-exit_code=$?
-
-shopt -s globstar
-shopt -s nullglob
-
-# By pushd'ing we make the attached filenames in the LAVA dashboard
-# much smaller.
-
-process_file() {
- local filename=$1
- local result=$2
- local ofile=/tmp/jtreg-test-process-file.$$
- echo "#!/bin/bash" > $ofile
- while IFS=' ' read -r tc rem; do
- y=$(dirname $tc)
- z=$(basename $tc .java)
- test_result=$output_dir/JTwork/$y/${z}.jtr
- echo "lava-test-case $z --result $result" >> $ofile
- if [ -e $test_result ]; then
- echo "pushd $output_dir/JTwork >/dev/null" >> $ofile
- echo "lava-test-case-attach $z $y/${z}.jtr text/plain" >> $ofile
- echo "popd > /dev/null" >> $ofile
- fi
- done < $filename
- [ -e $ofile ] && chmod 755 $ofile
- [ -e $ofile ] && $ofile
- rm -f $ofile
-}
-
-if [ -d $output_dir/JTreport/text ]; then
- pushd $output_dir/JTreport/text
- for i in *.txt; do
- lava-test-run-attach $i
- if [ $i = "summary.txt" ]; then
- egrep '[^ ]+[ ]+Not run\.' $i > notrun.txt
- egrep '[^ ]+[ ]+(Failed|Error)\.' $i > failed.txt
- egrep '[^ ]+[ ]+Passed\.' $i > pass.txt
- lava-test-run-attach notrun.txt
- lava-test-run-attach failed.txt
- lava-test-run-attach pass.txt
- process_file pass.txt pass
- process_file failed.txt fail
- fi
- done
- popd
-fi
-
-if [ -d $output_dir ]; then
- pushd $output_dir
- # Remove .class files as they are quite large.
- find . -name \*.class -print | xargs rm
- zip --quiet -r RESULTS-BUNDLE.zip *
- lava-test-run-attach RESULTS-BUNDLE.zip
- popd
-fi
-
-rm -rf $output_dir
-
-exit $exit_code